Get Prices (batch)
Calculate batch pricing for products for a specific channel, currency, and customer group.
The rounded prices in this endpoint’s response will align with the currency’s decimal precision as defined in the currency settings page.
Limits
- Limit of 50 concurrent requests.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects an object.
channel_id
The channel ID that pricing evaluates within. The default BigCommerce storefront is channel 1.
currency_code
The currency code of prices this request returns.
items
The items for which to fetch prices.
country_code
An ISO 3166-1 alpha-2 shopper’s country code representing a country or special geographic area.
customer_group_id
The customer group ID that's relevant for any customer group pricing, tax values, etc.
customer_id
The ID of the customer for whom to fetch prices.
Response
OK
data
meta
Response metadata.